<?php

echo '<p><b>Mise à jour de la base de données <i class="fas fa-angle-double-right"></i> Version 0.40</b></p>
<ul class="maxwidth">';

// vérification des espaces sur les activités :
$activs = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv WHERE code_activ LIKE ' %'");
$nb_check = mysqli_num_rows($activs);

echo '<li>Vérification d\'espacements dans les codes et noms d\'activités, pour correction éventuelle ('.$nb_check.')';
// correction dans _freqactiv, dans _freqgrappes, dans _freq, _exclusions
foreach($activs as $activ) {
	$new_code = strtoupper(substr($activ['nom_activ'],1,4));
	mysqli_query($bdd, "UPDATE ".$prefix."_freqactiv SET code_activ = '".$new_code."', nom_activ = '".substr($activ['nom_activ'],1)."' WHERE code_activ = '".$activ['code_activ']."'");
	mysqli_query($bdd, "UPDATE ".$prefix."_freqgrappes SET code_activ = '".$new_code."' WHERE code_activ = '".$activ['code_activ']."'");
	mysqli_query($bdd, "UPDATE ".$prefix."_freq SET code_activ = '".$new_code."' WHERE code_activ = '".$activ['code_activ']."'");
	mysqli_query($bdd, "UPDATE ".$prefix."_exclusions SET excluactivs = REPLACE(excluactivs, '".$activ['code_activ']."', '".$new_code."')");
	echo '<br>Codage activité corrigé : '.substr($activ['nom_activ'],1).' - '.$activ['code_activ'].' > '.$new_code;
}
echo '</li>';

// vérification des espacements sur codes :
$codes = mysqli_query($bdd,"SELECT * FROM ".$prefix."_edtcode WHERE code LIKE ' %'");
$nb_check = mysqli_num_rows($codes);

echo '<li>Vérification d\'espacements dans les codes de séquences, pour correction éventuelle ('.$nb_check.')';
// correction dans _edtcode et dans _edtbrik :
foreach($codes as $code) {
	mysqli_query($bdd, "UPDATE ".$prefix."_edtcode SET code = '".substr($code['code'],1)."' WHERE code = '".$code['code']."'");
	mysqli_query($bdd, "UPDATE ".$prefix."_edtbrik SET code = '".substr($code['code'],1)."' WHERE code = '".$code['code']."'");
	echo '<br>Code corrigé :'.$code['nom'].' - '.$code['code'].' > '.substr($code['code'],1);
}
echo '</li>';

$codes = mysqli_query($bdd,"SELECT * FROM ".$prefix."_edtcode WHERE nom LIKE ' %'");
$nb_check = mysqli_num_rows($codes);

echo '<li>Vérification d\'espacements dans les noms de types de séquences, pour correction éventuelle ('.$nb_check.')';
// correction dans _edtcode et dans _edtbrik :
foreach($codes as $code) {
	mysqli_query($bdd, "UPDATE ".$prefix."_edtcode SET nom = '".substr($code['nom'],1)."' WHERE nom = '".$code['nom']."'");
	echo '<br>Nom corrigé :'.$code['nom'].' > '.substr($code['nom'],1);
}
echo '</li>';

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.40' WHERE param_nom = 'version_bdd'");
echo '<li>Mise à jour de la base de données effectuée - version_bdd 0.40.</li></ul>';
?>